Debian Bug report logs - #706985
ITP: opensmtpd -- Simple Mail Transfer Protocol daemon

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Walrond <debian@djw.org.uk>

Date: Mon, 6 May 2013 16:39:01 UTC

Owned by: Daniel Walrond <debian@djw.org.uk>

Severity: wishlist

Fixed in version opensmtpd/5.3.3p1-1

Done: Ryan Kavanagh <rak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#706985; Package wnpp. (Mon, 06 May 2013 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Walrond <debian@djw.org.uk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 06 May 2013 16:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Walrond <debian@djw.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 06 May 2013 17:10:17 +0100
Package: wnpp
Severity: wishlist
Owner: Daniel Walrond <debian@djw.org.uk>


* Package name    : opensmtpd
  Version         : 5.3.1p1
  Upstream Author : OpenBSD
* URL             : http://www.opensmtpd.org/
* License         : ISC, BSD
  Programming Lang: C
  Description     : Simple Mail Transfer Protocol daemon

OpenSMTPD is a FREE implementation of the server-side SMTP protocol as
defined by RFC 5321, with some additional standard extensions. It allows
ordinary machines to exchange e-mails with other systems speaking the
SMTP protocol.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Mon, 06 May 2013 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Mon, 06 May 2013 16:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 706985@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Daniel Walrond <debian@djw.org.uk>, 706985@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 6 May 2013 17:42:35 +0100
On Mon, May 06, 2013 at 05:10:17PM +0100, Daniel Walrond wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Daniel Walrond <debian@djw.org.uk>
> 
> 
> * Package name    : opensmtpd
>   Version         : 5.3.1p1
>   Upstream Author : OpenBSD
> * URL             : http://www.opensmtpd.org/
> * License         : ISC, BSD
>   Programming Lang: C
>   Description     : Simple Mail Transfer Protocol daemon
> 
> OpenSMTPD is a FREE implementation of the server-side SMTP protocol as
> defined by RFC 5321, with some additional standard extensions. It allows
> ordinary machines to exchange e-mails with other systems speaking the
> SMTP protocol.

Is this better than exim4 or postfix, or one of the other SMTP servers
we already have in Debian?

-- 
http://www.cafepress.com/trunktees -- geeky funny T-shirts
http://gtdfh.branchable.com/ -- GTD for hackers



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Mon, 06 May 2013 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Mon, 06 May 2013 17:06:04 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Konstantin Khomoutov <flatworm@users.sourceforge.net>
To: Daniel Walrond <debian@djw.org.uk>, 706985@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 6 May 2013 21:02:59 +0400
On Mon, 06 May 2013 17:10:17 +0100
Daniel Walrond <debian@djw.org.uk> wrote:

[...]
> OpenSMTPD is a FREE implementation of the server-side SMTP protocol as
[...]

I would suggest to replace "a FREE" with just "an" -- there's no
non-free software in the Debian proper.

The fact OpenBSD folks want to emphasise that in their opinion free is
only what's covered by a BSD-like license has no relevance to Debian.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706985; Package wnpp. (Mon, 06 May 2013 17:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Walrond <debian@djw.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 May 2013 17:15:09 GMT) Full text and rfc822 format available.

Message #20 received at 706985@bugs.debian.org (full text, mbox):

From: Daniel Walrond <debian@djw.org.uk>
To: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Cc: 706985@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 6 May 2013 18:11:26 +0100
On Mon, May 06, 2013 at 09:02:59PM +0400, Konstantin Khomoutov wrote:
> On Mon, 06 May 2013 17:10:17 +0100
> Daniel Walrond <debian@djw.org.uk> wrote:
> 
> [...]
> > OpenSMTPD is a FREE implementation of the server-side SMTP protocol as
> [...]
> 
> I would suggest to replace "a FREE" with just "an" -- there's no
> non-free software in the Debian proper.
> 
> The fact OpenBSD folks want to emphasise that in their opinion free is
> only what's covered by a BSD-like license has no relevance to Debian.

Sure, I think that's a very valid point, I'll fix that in the package.
I nearly replaced it before submitting the ITP :)

Dan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706985; Package wnpp. (Mon, 06 May 2013 17:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Walrond <debian@djw.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 May 2013 17:15:11 GMT) Full text and rfc822 format available.

Message #25 received at 706985@bugs.debian.org (full text, mbox):

From: Daniel Walrond <debian@djw.org.uk>
To: Lars Wirzenius <liw@liw.fi>
Cc: 706985@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 6 May 2013 18:06:37 +0100
On Mon, May 06, 2013 at 05:42:35PM +0100, Lars Wirzenius wrote:
> On Mon, May 06, 2013 at 05:10:17PM +0100, Daniel Walrond wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Daniel Walrond <debian@djw.org.uk>
> > 
> > 
> > * Package name    : opensmtpd
> >   Version         : 5.3.1p1
> >   Upstream Author : OpenBSD
> > * URL             : http://www.opensmtpd.org/
> > * License         : ISC, BSD
> >   Programming Lang: C
> >   Description     : Simple Mail Transfer Protocol daemon
> > 
> > OpenSMTPD is a FREE implementation of the server-side SMTP protocol
> > as defined by RFC 5321, with some additional standard extensions. It
> > allows ordinary machines to exchange e-mails with other systems
> > speaking the SMTP protocol.
> 
> Is this better than exim4 or postfix, or one of the other SMTP servers
> we already have in Debian?

Depends how you define better. I don't see it as a replacement to exim4
or postfix, since it is not as powerful as them. It does have a much
simpler configuration syntax. Personally I prefer to use it over ssmtp,
but it's more capable than that package.


Dan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Mon, 06 May 2013 17:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Mon, 06 May 2013 17:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Mon, 06 May 2013 17:15:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Mon, 06 May 2013 17:15:17 GMT) Full text and rfc822 format available.

Message #35 received at 706985@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: Daniel Walrond <debian@djw.org.uk>, 706985@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 06 May 2013 19:14:07 +0200
[Message part 1 (text/plain, inline)]
On 06/05/13 18:42, Lars Wirzenius wrote:
> On Mon, May 06, 2013 at 05:10:17PM +0100, Daniel Walrond wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Daniel Walrond <debian@djw.org.uk>
>>
>>
>> * Package name    : opensmtpd
>>   Version         : 5.3.1p1
>>   Upstream Author : OpenBSD
>> * URL             : http://www.opensmtpd.org/
>> * License         : ISC, BSD
>>   Programming Lang: C
>>   Description     : Simple Mail Transfer Protocol daemon
>>
>> OpenSMTPD is a FREE implementation of the server-side SMTP protocol as
>> defined by RFC 5321, with some additional standard extensions. It allows
>> ordinary machines to exchange e-mails with other systems speaking the
>> SMTP protocol.
> 
> Is this better than exim4 or postfix, or one of the other SMTP servers
> we already have in Debian?
> 

It has a special focus on security:

https://en.wikipedia.org/wiki/OpenSMTPD#Goals
http://www.opensmtpd.org/goals.html

I'm eager to try it.

Thanks for packaging it!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706985; Package wnpp. (Mon, 06 May 2013 17:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Walrond <debian@djw.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 May 2013 17:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Mon, 06 May 2013 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvo Tomaselli <tiposchi@tiscali.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Mon, 06 May 2013 23:24:04 GMT) Full text and rfc822 format available.

Message #45 received at 706985@bugs.debian.org (full text, mbox):

From: Salvo Tomaselli <tiposchi@tiscali.it>
To: Daniel Walrond <debian@djw.org.uk>, 706985@bugs.debian.org
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Tue, 07 May 2013 01:12:06 +0200
> OpenSMTPD is a FREE implementation
Too much emphasis on the "free"?
I think everything else in debian main is free, both as in free as a beer and 
freedom of speech.

-- 
Salvo Tomaselli

http://web.student.chalmers.se/~saltom/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706985; Package wnpp. (Wed, 22 May 2013 20:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Walrond <debian@djw.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 May 2013 20:15:04 GMT) Full text and rfc822 format available.

Message #50 received at 706985@bugs.debian.org (full text, mbox):

From: Daniel Walrond <debian@djw.org.uk>
To: debian-devel@lists.debian.org, Colin Watson <cjwatson@debian.org>
Cc: Ryan Kavanagh <rak@debian.org>, 706985@bugs.debian.org
Subject: Re: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Wed, 22 May 2013 21:13:18 +0100
Hello,

As per policy 10.9 - Permissions and owners[0], opensmtpd requires
some system users for running non-root-privileged processes. I propose
to user the following dynamic accounts; opensmtpd, opensmtpq, opensmtpf.

Also I will be co-maintaining this package with Ryan Kavanagh, who has
already done some work packaging opensmtpd.


Dan

[0] http://www.debian.org/doc/debian-policy/ch-files.html





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Wed, 22 May 2013 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Wed, 22 May 2013 21:12:07 GMT) Full text and rfc822 format available.

Message #55 received at 706985@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Daniel Walrond <debian@djw.org.uk>
Cc: debian-devel@lists.debian.org, Ryan Kavanagh <rak@debian.org>, 706985@bugs.debian.org
Subject: Re: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Wed, 22 May 2013 22:08:21 +0100
On Wed, May 22, 2013 at 09:13:18PM +0100, Daniel Walrond wrote:
> As per policy 10.9 - Permissions and owners[0], opensmtpd requires
> some system users for running non-root-privileged processes. I propose
> to user the following dynamic accounts; opensmtpd, opensmtpq, opensmtpf.

Thanks for CCing me, which I assume was in my rĂ´le as base-passwd
maintainer.  I only really need to be involved if you need static IDs
for some reason, rather than the normally-preferred method of using
dynamic IDs via 'adduser --system'.  If so, please give a short
explanation of why that's the case.

Policy 10.9 does say to check even dynamic names with the base-passwd
maintainer, and I congratulate you for being one of the very few
developers to read it in close enough detail to notice that. ;-)  That
wording should perhaps be revised, as neither I nor (as far as I know)
any of my predecessors have kept a registry of all dynamic names used in
Debian, only of the IDs we've allocated from the static ranges 0-99 and
60000-64999, so we aren't really in a position to perform a reliable
check for name uniqueness.

I'd normally just require that statically-allocated user/group names
should be obviously derived either from your package name or,
occasionally, from the name of one of the commands you ship, and that's
generally good practice for dynamically-allocated names too.  The names
you suggest are close enough to your package name, and that package name
is distinct enough, that I think there's very unlikely to be a clash and
you should be fine.  So, if all you need is dynamically-allocated IDs,
then go ahead.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Wed, 22 May 2013 21:18:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Wed, 22 May 2013 21:18:22 GMT) Full text and rfc822 format available.

Message #60 received at 706985@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Daniel Walrond <debian@djw.org.uk>
Cc: debian-devel@lists.debian.org, Colin Watson <cjwatson@debian.org>, Ryan Kavanagh <rak@debian.org>, 706985@bugs.debian.org
Subject: Re: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Wed, 22 May 2013 14:16:34 -0700
Daniel Walrond <debian@djw.org.uk> writes:

> As per policy 10.9 - Permissions and owners[0], opensmtpd requires
> some system users for running non-root-privileged processes. I propose
> to user the following dynamic accounts; opensmtpd, opensmtpq, opensmtpf.

> Also I will be co-maintaining this package with Ryan Kavanagh, who has
> already done some work packaging opensmtpd.

We currently have no good policy about how to name system users, but
despite that I personally would recommend against using simple
alphanumeric usernames like those.  (They are longer than eight
characters, which avoids some local namespaces, but not all.)

There are two conventions that other packages have used to make it less
likely that system accounts will conflict with local usernames:

* Append "Debian-" to the username, as in Debian-opensmtpd
* Append an underscore, as in _opensmtpd

I personally mildly prefer the latter just because it's simple, although
it isn't as informative or robust against any namespace issue.  Note that
you will have to pass --force-badname to adduser to let you use an
underscore in the name.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Wed, 22 May 2013 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Wed, 22 May 2013 21:57:04 GMT) Full text and rfc822 format available.

Message #65 received at 706985@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: Daniel Walrond <debian@djw.org.uk>, debian-devel@lists.debian.org, Ryan Kavanagh <rak@debian.org>, 706985@bugs.debian.org
Subject: Re: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Wed, 22 May 2013 22:55:16 +0100
On Wed, May 22, 2013 at 02:16:34PM -0700, Russ Allbery wrote:
> We currently have no good policy about how to name system users, but
> despite that I personally would recommend against using simple
> alphanumeric usernames like those.  (They are longer than eight
> characters, which avoids some local namespaces, but not all.)

I've never been a fan of worrying about this, largely because the names
that are really a practical problem are mostly the ones that have been
around forever and that we're stuck with (things like "man" could well
be a real name; I have a co-worker whose initials are apparently SSH;
people occasionally try to use things like "staff"; and so on), while
most of the ones that have been introduced more recently, and certainly
the longer and/or more elaborate ones, are likely to be innocuous.

Pragmatically, I wouldn't be inclined to lose any sleep over the chances
of somebody having a local username called opensmtpd that wasn't
actually for a local installation of this very same package.  And our
user/group namespace is such that it really almost has to be handled
pragmatically.

> There are two conventions that other packages have used to make it less
> likely that system accounts will conflict with local usernames:
> 
> * Append "Debian-" to the username, as in Debian-opensmtpd

This was used by Debian-exim and not a lot else that I ever heard of.
In my view this scheme rightly failed; plenty of simple system
monitoring tools (top, ps, and the like) truncate long usernames in many
modes or turn them into UIDs, and sticking a seven-character prefix on
the front just seems to be trying to maximise the probability of trouble
like this, even though it is certainly clear.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Thu, 23 May 2013 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Thu, 23 May 2013 10:51:04 GMT) Full text and rfc822 format available.

Message #70 received at 706985@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: debian-devel@lists.debian.org
Cc: Russ Allbery <rra@debian.org>, Daniel Walrond <debian@djw.org.uk>, Ryan Kavanagh <rak@debian.org>, 706985@bugs.debian.org
Subject: Re: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Thu, 23 May 2013 11:48:45 +0100
+++ Colin Watson [2013-05-22 22:55 +0100]:
> > * Append "Debian-" to the username, as in Debian-opensmtpd
> 
> This was used by Debian-exim and not a lot else that I ever heard of.
> In my view this scheme rightly failed; plenty of simple system
> monitoring tools (top, ps, and the like) truncate long usernames in many
> modes or turn them into UIDs, and sticking a seven-character prefix on
> the front just seems to be trying to maximise the probability of trouble
> like this, even though it is certainly clear.

And strictly speaking upper case is not allowed in UIDs, (if only to
avoid confusion and getting someone-else's email) although everything
seems to cope these days in practice. I do recall seeing a warning
about the 'Debian-exim' name from something-or-other once, which was
how I discovered the 'rule'. 

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706985; Package wnpp. (Mon, 27 May 2013 17:43:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Walrond <debian@djw.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 May 2013 17:43:07 GMT) Full text and rfc822 format available.

Message #75 received at 706985@bugs.debian.org (full text, mbox):

From: Daniel Walrond <debian@djw.org.uk>
To: debian-devel@lists.debian.org, 706985@bugs.debian.org
Subject: Re: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 27 May 2013 18:42:21 +0100
On Wed, May 22, 2013 at 02:16:34PM -0700, Russ Allbery wrote:
> Daniel Walrond <debian@djw.org.uk> writes:
> 
> > As per policy 10.9 - Permissions and owners[0], opensmtpd requires
> > some system users for running non-root-privileged processes. I propose
> > to user the following dynamic accounts; opensmtpd, opensmtpq, opensmtpf.
> 
> We currently have no good policy about how to name system users, but
> despite that I personally would recommend against using simple
> alphanumeric usernames like those.  (They are longer than eight
> characters, which avoids some local namespaces, but not all.)
> 
> There are two conventions that other packages have used to make it less
> likely that system accounts will conflict with local usernames:
> 
> * Append "Debian-" to the username, as in Debian-opensmtpd
> * Append an underscore, as in _opensmtpd
> 
> I personally mildly prefer the latter just because it's simple, although
> it isn't as informative or robust against any namespace issue.  Note that
> you will have to pass --force-badname to adduser to let you use an
> underscore in the name.

The upstream package defaults to _smtpd since all the daemons in OpenBSD
start with a "_". It seems like a good convention to avoid local
namespace clashes, although I haven't seen any package within Debian
using it. The regex in a default install is ^[a-z][-a-z0-9_]*\$, so I
think it's best to stick within that.

Thanks for the input, I'll stick with opensmtpd.


Dan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Sat, 03 Aug 2013 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stephan Schulz" <ss.c@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Sat, 03 Aug 2013 20:45:04 GMT) Full text and rfc822 format available.

Message #80 received at 706985@bugs.debian.org (full text, mbox):

From: "Stephan Schulz" <ss.c@gmx.net>
To: 706985@bugs.debian.org
Subject: Re: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Sat, 3 Aug 2013 22:41:46 +0200
Hi!

Is there any activity regarding packaging opensmtpd for Debian since the
last post? I could not find anything with an opensmtpd search on
packages.debian.org.

Best regards,
Stephan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Mon, 05 Aug 2013 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Walrond <debian@djw.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Mon, 05 Aug 2013 15:48:04 GMT) Full text and rfc822 format available.

Message #85 received at 706985@bugs.debian.org (full text, mbox):

From: Dan Walrond <debian@djw.org.uk>
To: Stephan Schulz <ss.c@gmx.net>, 706985@bugs.debian.org
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 5 Aug 2013 15:30:24 +0100
On Sat, Aug 03, 2013 at 10:41:46PM +0200, Stephan Schulz wrote:
> Hi!

Hello,

> Is there any activity regarding packaging opensmtpd for Debian since
> the last post? I could not find anything with an opensmtpd search on
> packages.debian.org.

We are almost ready to upload the package. We're aiming to do so by the
end of the week.


Dan



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 07 Sep 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Ryan Kavanagh <rak@debian.org>:
You have taken responsibility. (Sun, 08 Sep 2013 04:03:13 GMT) Full text and rfc822 format available.

Notification sent to Daniel Walrond <debian@djw.org.uk>:
Bug acknowledged by developer. (Sun, 08 Sep 2013 04:03:14 GMT) Full text and rfc822 format available.

Message #92 received at 706985-close@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: 706985-close@bugs.debian.org
Subject: Bug#706985: fixed in opensmtpd 5.3.3p1-1
Date: Sun, 08 Sep 2013 04:00:08 +0000
Source: opensmtpd
Source-Version: 5.3.3p1-1

We believe that the bug you reported is fixed in the latest version of
opensmtpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Kavanagh <rak@debian.org> (supplier of updated opensmtpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 07 Sep 2013 12:29:01 -0400
Source: opensmtpd
Binary: opensmtpd
Architecture: source amd64
Version: 5.3.3p1-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Kavanagh <rak@debian.org>
Changed-By: Ryan Kavanagh <rak@debian.org>
Description: 
 opensmtpd  - secure, reliable, lean, and easy-to configure SMTP server
Closes: 706985
Changes: 
 opensmtpd (5.3.3p1-1) unstable; urgency=low
 .
   * Initial release (Closes: #706985)
Checksums-Sha1: 
 2ff7339f74a06a4e3f926904fb7778774d33eb3f 3051 opensmtpd_5.3.3p1-1.dsc
 a7fc3a15b5dc622410fcedf51bbe62e6b6d64df3 343733 opensmtpd_5.3.3p1.orig.tar.gz
 f6c070f17f5d78443de99468f704c4a7e2405915 22106 opensmtpd_5.3.3p1-1.debian.tar.gz
 be7754abd28d9d159bfda01fc81365b455a91fa2 209622 opensmtpd_5.3.3p1-1_amd64.deb
Checksums-Sha256: 
 36cd4a8bfdbec81007edfeb288ef5c36a3856d426440e7fa15c851d5a5ec3739 3051 opensmtpd_5.3.3p1-1.dsc
 34f0e208e6fdde5c5c25bb11f468436c4d6148a8b640c32117869cad140b823c 343733 opensmtpd_5.3.3p1.orig.tar.gz
 351772c39fe4955c15585b89b7ad22a095937aeb377cbc63696b1d2ecf5b091b 22106 opensmtpd_5.3.3p1-1.debian.tar.gz
 14008fde25631c6a141c4830e4e05e24e4830a509940700e0487bf9600675ab0 209622 opensmtpd_5.3.3p1-1_amd64.deb
Files: 
 af34ad8a9a5bfa2908721cce55f92bb2 3051 mail extra opensmtpd_5.3.3p1-1.dsc
 795982f9b0b45c7645f897ba2ead0024 343733 mail extra opensmtpd_5.3.3p1.orig.tar.gz
 26dbde2b7121c6ac804dc04c4803f629 22106 mail extra opensmtpd_5.3.3p1-1.debian.tar.gz
 e75939f68d88c90826738ce22ea291bd 209622 mail extra opensmtpd_5.3.3p1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQUcBAEBCgAGBQJSK1dlAAoJEI97+PxKEcl6ZhMoAKh7nYPm1KsJbskKVoLSiNGr
pfPpyTSS9/pP3VM/7JgIKVXpzejgUHPeK+XPO4SpRgXeuUGQD2g30ub9RPTxH9W4
5U53o6zHt5Ydyrcw5oFw6ku/v4qwkZc7xEHWvowMpRgUp/txFoEDUs3WTzZP4kFV
NBW5P/7K8ysJJlJG/aP+IiacxUmzk9UAhUoIYH0P29asrZ+oYPhqXDG6im006oZC
vX6J2Cy+VRUq6QYg65vlZezFVk2bHPUV/9x2LO8Hh/Z7jkPMiqIhyhHLYQmNjKru
oc9Y8BIvNVTOqrQ+ZF9ziSNdD7X42CK0Nv26f8p+F6Arvnc0UaXtbKxs968fRRRc
tq3the+DOB1XZ5wUCBVZllWlXZU6IG/TauEvGD5u4sWp3xH6LW1alP4a6al6Of7q
xkj2aQry06XxM3pnY1tM+jnB9gH83z5f6nggeRu8Va2I5+dmlx9IFZ/8LE0BCuue
EOAL55V5ZzGXO43YLmbPAfbi1cTuxfDhWQD6T9+COiLaIvRWmaB+qOnzo38E4Tns
I7iNBPIwI824xSiaI6SYKYMWt4g8KpwDyY/eR9qn9IgSsQPbVmGlNZkhExkY6B4M
wDD4WwlxY0m3C6cxlnSXMFJhjV5uZ3LK2BL4qSlgMKoJo1ZJ7/6jTYrbCSLGY3Yu
SVmrOMCzSfZgIgE9Nxd2dlrw9pxNowrEexRWn2U/UGNBlDl87Wu76s7Tgktfbwsw
smsA3lIJce9dvsvQy0vpuXy9Pg+V5yXGfQDo1HxH5WdoAcmweEdhHf39LDiumE8f
I4SSvg0c0STXiAvgFlhVThjZ/lR9kOcJ3W9u7rZBCa5psIYvHBb1DCTcnWaDrTo6
Lr281e8Bd6bduipoCtDR0EPmA5GmAG6cZCRm7L6DixlYbBrL15yfI2bBwUGPHggV
SGv6n/KB5zKwU81sE+9FBiSElAwTszCRZGuMhReIJ+NnP9j8lNeC9UehESuN0D/n
QPTsnrZ213/DcYdkJVE6V2rXz4zvMlFf7D9P4JJXSlW5xyLAwlljxG32sC8X0y9d
Px+zX9uIFpxthC7Zly2lJiOxVxhP5mzt+fNyGMxbrOuM4hmFuNtWyiXR67behb4T
q0lX27HvWeYXv2i706p0gHZcVZjjiyCLQv6pVtAAGuUeBlE9Q3y4SBPnL4Wxwn0J
7vz094LgA0TGsD1K7xapOBDViWrdfmPNCLH4KdwPaCEM3wkBM9NjGXV+qu4yNRlX
2589RZt9w/q0zupdIPrPy9iZ9nZC6Z88mxr0aWX6DqD5I47zNTaXDSlByjH3zy1T
4Fd/31Rpp9IRMgPY8GOSYf7riBSU05AFvfert2AJHxhgi18+5iP9o28ipouUKPKM
3ws4ZNy+papGkaGMDzAK3uNiBacGYxapBuXouY6KbkvK3EauEwXUvdmrYAPFhaUL
gn+ud2HJU0J2514XuV3OWBKd8vrSzoBoSeHn0coQjGzdZlO0jJiBL1X5KeFk283R
FyMZEy3NYWociqQq5MeHgqMPA09W10mlCP2U27kEUYPcuf5MEffeFmsQdHGS/RjE
rP0dVAlkB8E0nRW4jAbrgnohzE3Pwmt1LcA4vKtQK98tshYrwtxJ2zi+rr2UZpRI
YE6yPw4KxKyrn10c11B4jEyTgG6By2B6CVIZs6PmM9sSGXpyOJcE0kE1YSCHy3P5
v0BAHpnpRQn1OKZ62Hra
=sEvR
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>:
Bug#706985; Package wnpp. (Mon, 09 Sep 2013 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Turner <dan.turner@york.ac.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Walrond <debian@djw.org.uk>. (Mon, 09 Sep 2013 13:51:04 GMT) Full text and rfc822 format available.

Message #97 received at 706985@bugs.debian.org (full text, mbox):

From: Dan Turner <dan.turner@york.ac.uk>
To: 706985@bugs.debian.org
Subject: Re: Bug#706985: ITP: opensmtpd -- Simple Mail Transfer Protocol daemon
Date: Mon, 9 Sep 2013 14:49:04 +0100
Hi, 

I was wondering if there was any progress with the opensmtpd package for debain? 

When I grep'd packages.debian.org, I got no results.

Regards,

Dan Turner
-- 
Dan Turner
The Skills Forge Project
Department of Electronics
The University of York
Heslington, York
YO10 4DD

Times Higher Education University of the Year 2010

EMAIL DISCLAIMER http://www.york.ac.uk/docs/disclaimer/email.htm



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Oct 2013 07:35:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:21:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.